Remove obsolete packages directory
authorTobias Brunner <tobias@strongswan.org>
Wed, 19 Feb 2020 16:38:57 +0000 (17:38 +0100)
committerTobias Brunner <tobias@strongswan.org>
Fri, 21 Feb 2020 08:52:49 +0000 (09:52 +0100)
These Debian package sources have not been updated for years and are
severely out-of-date.  Since the Debian packages are properly
maintained nowadays, we don't have to provide our own package sources
to serve as examples.

References #3344.

20 files changed:
packages/network-manager-strongswan/Makefile [deleted file]
packages/network-manager-strongswan/debian/changelog [deleted file]
packages/network-manager-strongswan/debian/compat [deleted file]
packages/network-manager-strongswan/debian/control [deleted file]
packages/network-manager-strongswan/debian/copyright [deleted file]
packages/network-manager-strongswan/debian/docs [deleted file]
packages/network-manager-strongswan/debian/network-manager-strongswan.postinst [deleted file]
packages/network-manager-strongswan/debian/rules [deleted file]
packages/strongswan/Makefile [deleted file]
packages/strongswan/debian/changelog [deleted file]
packages/strongswan/debian/compat [deleted file]
packages/strongswan/debian/control [deleted file]
packages/strongswan/debian/libstrongswan-dev.install [deleted file]
packages/strongswan/debian/libstrongswan.install [deleted file]
packages/strongswan/debian/rules [deleted file]
packages/strongswan/debian/strongswan-nm.install [deleted file]
packages/strongswan/debian/strongswan-starter.ipsec.init [deleted file]
packages/strongswan/debian/strongswan-tools.install [deleted file]
packages/strongswan/debian/strongswan.install [deleted file]
packages/strongswan/debian/watch [deleted file]

diff --git a/packages/network-manager-strongswan/Makefile b/packages/network-manager-strongswan/Makefile
deleted file mode 100644 (file)
index a184541..0000000
+++ /dev/null
@@ -1,19 +0,0 @@
-
-SOURCE:=../../src/frontends/gnome
-VERSION:=1.3.1
-
-source:        prepare
-       cd build/NetworkManager-strongswan-$(VERSION) && debuild -S
-
-prepare: clean
-       mkdir build
-       make -C $(SOURCE) dist-gzip
-       mv $(SOURCE)/NetworkManager-strongswan-$(VERSION).tar.gz build/network-manager-strongswan_$(VERSION).orig.tar.gz
-       tar -zxv -C build -f build/network-manager-strongswan_$(VERSION).orig.tar.gz
-       dch -b -v $(VERSION)
-       cp -R debian build/NetworkManager-strongswan-$(VERSION)
-
-clean:
-       rm -Rf build
-
-.PHONY:        source prepare clean
diff --git a/packages/network-manager-strongswan/debian/changelog b/packages/network-manager-strongswan/debian/changelog
deleted file mode 100644 (file)
index 85ea3ef..0000000
+++ /dev/null
@@ -1,54 +0,0 @@
-network-manager-strongswan (1.3.1-1) unstable; urgency=low
-
-  * New upstream release, adds PSK support
-  * Invoke charon-nm as IKE backend (Closes: #741415)
-  * Hand over maintenance to Debian strongSwan Maintainers (pkg-swan)
-
- -- Martin <martin@strongswan.org>  Thu, 24 Apr 2014 15:42:39 +0200
-
-network-manager-strongswan (1.3.0-1) unstable; urgency=low
-
-  * New upstream release, support for NetworkManager 0.9 (Closes: #639400)
-
- -- Martin Willi <martin@strongswan.org>  Mon, 02 Jul 2012 09:55:20 +0200
-
-network-manager-strongswan (1.1.2-2) unstable; urgency=low
-
-  * Do not install unused libtool and static libraries
-    (Closes: #622499)
-
- -- Martin Willi <martin@strongswan.org>  Tue, 19 Apr 2011 11:07:10 +0200
-
-network-manager-strongswan (1.1.2-1) unstable; urgency=low
-
-  * New upstream release, fixes pkgconfig for new libnm-glib packages
-    (Closes: #569302)
-
- -- Martin Willi <martin@strongswan.org>  Thu, 18 Feb 2010 09:41:39 +0100
-
-network-manager-strongswan (1.1.1-2) unstable; urgency=low
-
-  * Added ${shlibs:Depends} dependency
-  * Reload network-manager after installation, reloading dbus is insufficient.
-  * Fixed debhelper-but-no-misc-depends, out-of-date-standards-version and
-    copyright-without-copyright-notice lintian warnings
-
- -- Martin Willi <martin@strongswan.org>  Mon, 12 Oct 2009 10:19:40 +0200
-
-network-manager-strongswan (1.1.1-1) unstable; urgency=low
-
-  * New upstream release fixing a crasher when saving connections
-  * Fix "Wrong path to network-manager initscript in postinst"
-    Reload dbus instead of network-manager, as other VPN plugins do.
-    (Closes: #529189)
-  * Fix "FTBFS: No package 'libnm-util' found"
-    added dependencies to libnm-util-dev and libnm-glib-vpn-dev
-    (Closes: #528977)
-
- -- Martin Willi <martin@strongswan.org>  Tue, 19 May 2009 13:16:51 +0200
-
-network-manager-strongswan (1.1.0-1) unstable; urgency=low
-
-  * Initial Debian packaging of NetworkManager plugin for strongSwan
-
- -- Martin Willi <martin@strongswan.org>  Wed, 25 Mar 2009 09:07:05 +0100
diff --git a/packages/network-manager-strongswan/debian/compat b/packages/network-manager-strongswan/debian/compat
deleted file mode 100644 (file)
index 7f8f011..0000000
+++ /dev/null
@@ -1 +0,0 @@
-7
diff --git a/packages/network-manager-strongswan/debian/control b/packages/network-manager-strongswan/debian/control
deleted file mode 100644 (file)
index 47c1a7d..0000000
+++ /dev/null
@@ -1,31 +0,0 @@
-Source: network-manager-strongswan
-Section: net
-Priority: extra
-Maintainer: strongSwan Maintainers <pkg-swan-devel@lists.alioth.debian.org>
-Uploaders: Rene Mayrhofer <rmayr@debian.org>,
-       Yves-Alexis Perez <corsac@debian.org>,
-       Romain Francoise <rfrancoise@debian.org>
-Build-Depends: cdbs,
-       debhelper (>= 7),
-       network-manager-dev (>= 0.9),
-       libnm-util-dev (>= 0.9),
-       libnm-glib-dev (>= 0.9),
-       libnm-glib-vpn-dev (>= 0.9),
-       libdbus-glib-1-dev,
-       libgnomeui-dev,
-       automake,
-       gnome-common,
-Standards-Version: 3.9.1
-
-Package: network-manager-strongswan
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, strongswan-nm, network-manager (>= 0.9)
-Description: network management framework (strongSwan plugin)
- NetworkManager attempts to keep an active network connection available at
- all times.  It is intended primarily for laptops where it allows easy
- switching between local wireless networks, it's also useful on desktops
- with a selection of different interfaces to use.  It is not intended for
- usage on servers.
- .
- This package provides a VPN plugin for strongSwan, providing easy access to
- IKEv2 IPSec VPN's.
diff --git a/packages/network-manager-strongswan/debian/copyright b/packages/network-manager-strongswan/debian/copyright
deleted file mode 100644 (file)
index 8542aea..0000000
+++ /dev/null
@@ -1,10 +0,0 @@
-Format-Specification: http://svn.debian.org/wsvn/dep/web/deps/dep5.mdwn?op=file&rev=59
-Name: NetworkManager-strongswan
-Source: http://download.strongswan.org/NetworkManager
-
-Copyright: 2008-2009, Martin Willi <martin@strongswan.org>
-           2005-2008, Dan Williams
-           2005, David Zeuthen
-License: GPL-2
- On Debian systems the full text of the GNU General Public License can be found
- in the `/usr/share/common-licenses/GPL-2' file.
diff --git a/packages/network-manager-strongswan/debian/docs b/packages/network-manager-strongswan/debian/docs
deleted file mode 100644 (file)
index e69de29..0000000
diff --git a/packages/network-manager-strongswan/debian/network-manager-strongswan.postinst b/packages/network-manager-strongswan/debian/network-manager-strongswan.postinst
deleted file mode 100644 (file)
index f855e71..0000000
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "$1" in
-       configure)
-               if [ -x "/etc/init.d/network-manager" ]; then
-                       if [ -x /usr/sbin/invoke-rc.d ]; then
-                               invoke-rc.d network-manager force-reload || true
-                       else
-                               /etc/init.d/network-manager force-reload || true
-                       fi
-               fi
-               ;;
-esac
-
-#DEBHELPER#
-
-exit 0
diff --git a/packages/network-manager-strongswan/debian/rules b/packages/network-manager-strongswan/debian/rules
deleted file mode 100755 (executable)
index 188dc38..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/usr/bin/make -f
-
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
-
-DEB_CONFIGURE_EXTRA_FLAGS := --with-charon=/usr/lib/ipsec/charon-nm
-
-DEB_CONFIGURE_LIBEXECDIR := "\$$(prefix)/lib/NetworkManager"
-
-DEB_DH_MAKESHLIBS_ARGS_ALL := -X/usr/lib/NetworkManager/
-
-DEB_DH_INSTALL_SOURCEDIR := debian/tmp
-
-
-install/network-manager-strongswan::
-       rm debian/network-manager-strongswan/usr/lib/NetworkManager/libnm-strongswan-properties.*a
diff --git a/packages/strongswan/Makefile b/packages/strongswan/Makefile
deleted file mode 100644 (file)
index df30e1e..0000000
+++ /dev/null
@@ -1,19 +0,0 @@
-
-SOURCE=../..
-VERSION:=5.0.1dr1
-
-source:        prepare
-       cd build/strongswan-$(VERSION) && debuild -S
-
-prepare: clean
-       mkdir build
-       make -C $(SOURCE) dist-gzip
-       mv $(SOURCE)/strongswan-$(VERSION).tar.gz build/strongswan_$(VERSION).orig.tar.gz
-       tar -zxv -C build -f build/strongswan_$(VERSION).orig.tar.gz
-       dch -b -v $(VERSION)
-       cp -R debian build/strongswan-$(VERSION)
-
-clean:
-       rm -Rf build
-
-.PHONY:        source prepare clean
diff --git a/packages/strongswan/debian/changelog b/packages/strongswan/debian/changelog
deleted file mode 100644 (file)
index 003377b..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-strongswan (5.0.1dr1) unstable; urgency=low
-
-  * New package for strongSwan 5.0 series
-
- -- Martin Willi <martin@strongswan.org>  Mon, 02 Jul 2012 18:48:55 +0200
diff --git a/packages/strongswan/debian/compat b/packages/strongswan/debian/compat
deleted file mode 100644 (file)
index 7f8f011..0000000
+++ /dev/null
@@ -1 +0,0 @@
-7
diff --git a/packages/strongswan/debian/control b/packages/strongswan/debian/control
deleted file mode 100644 (file)
index 831381d..0000000
+++ /dev/null
@@ -1,61 +0,0 @@
-Source: strongswan
-Section: net
-Priority: extra
-Maintainer: Martin Willi <martin@strongswan.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.0), libssl-dev (>= 0.9.8), libcap-dev, network-manager-dev (>= 0.9), libnm-glib-dev (>= 0.9), libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl4-nss-dev, libldap2-dev, libmysqlclient-dev, libsqlite3-dev
-Homepage: http://www.strongswan.org
-
-Package: strongswan
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: IPsec VPN solution.
- strongSwan is a IPsec based VPN solution for the Linux kernel. It uses the
- native IPsec stack and runs on any recent 2.6 kernel (no patching required).
- It supports both, the IKEv1 and the newer IKEv2 protocols.
- .
- This package contains the IKEv1/IKEv2 keying daemon charon and command line
- configuration backend.
-
-Package: strongswan-tools
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Additional command line tools for strongSwan.
- This packages provides pki and other strongSwan utilities.
-
-Package: strongswan-nm
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9)
-Description: strongSwan plugin to interact with NetworkManager
- This plugin provides an interface which allows NetworkManager to configure
- and control the IKEv2 daemon directly through DBUS. It is designed to work
- in conjunction with the network-manager-strongswan package, providing
- a simple graphical frontend to configure IPsec based VPNs.
-
-Package: libstrongswan
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: strongSwan utility and crypto library
- libstrongswan is the underlying library of charon and other strongSwan
- components. It is built in a modular way and is extendable through various
- plugins.
-
-Package: libstrongswan-dev
-Architecture: any
-Priority: optional
-Depends: ${misc:Depends}, libstrongswan (=${binary:Version})
-Section: devel
-Description: strongSwan development headers
- C header files to develop with libstrongswan.
-
-Package: strongswan-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, strongswan, libstrongswan
-Description: strongSwan library and binaries - debugging symbols
- StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
- native IPsec stack and runs on any recent 2.6 kernel (no patching required).
- It supports both IKEv1 and the newer IKEv2 protocols.
- .
- This package provides the symbols needed for debugging of strongswan.
diff --git a/packages/strongswan/debian/libstrongswan-dev.install b/packages/strongswan/debian/libstrongswan-dev.install
deleted file mode 100644 (file)
index 476cd0e..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-usr/lib/strongswan/include/config.h                    usr/lib/strongswan/include/
-usr/include/strongswan/*                                       usr/include/strongswan/
diff --git a/packages/strongswan/debian/libstrongswan.install b/packages/strongswan/debian/libstrongswan.install
deleted file mode 100644 (file)
index 1d3fe0c..0000000
+++ /dev/null
@@ -1,31 +0,0 @@
-etc/strongswan.conf                                                                                            etc/
-usr/lib/strongswan/libstrongswan.so*                                                   usr/lib/strongswan/
-usr/lib/strongswan/libcharon.so*                                                               usr/lib/strongswan/
-usr/lib/strongswan/libtls.so*                                                                  usr/lib/strongswan/
-usr/lib/strongswan/plugins/libstrongswan-x509.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-pubkey.so*                            usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-xcbc.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-random.so*                            usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-agent.so*                             usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-openssl.so*                   usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-ldap.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-curl.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-kernel-netlink.so*            usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-eap-identity.so*              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-eap-mschapv2.so*              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-eap-tls.so*                   usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-eap-md5.so*                   usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-pkcs1.so*                             usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-revocation.so*                        usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-nonce.so*                             usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-pkcs8.so*                             usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-pem.so*                               usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-socket-default.so*            usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-constraints.so*               usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-ctr.so*                               usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-ccm.so*                               usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-cmac.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-gcm.so*                               usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-xauth-generic.so*             usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-xauth-eap.so*                 usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-pkcs11.so*                            usr/lib/strongswan/plugins/
diff --git a/packages/strongswan/debian/rules b/packages/strongswan/debian/rules
deleted file mode 100755 (executable)
index 3f49080..0000000
+++ /dev/null
@@ -1,71 +0,0 @@
-#!/usr/bin/make -f
-
-#export DH_VERBOSE=1
-
-CC = gcc
-CFLAGS = -Wall -Wno-format -Wno-pointer-sign -g
-CONFIGURE_ARGS = \
-       --prefix=/usr --libexecdir=/usr/lib --sysconfdir=/etc --enable-curl \
-       --enable-ldap --disable-aes --disable-des --disable-md5 --disable-sha1 \
-       --disable-sha2 --disable-fips-prf --disable-gmp --disable-pgp --disable-dnskey \
-       --enable-mysql --enable-sqlite --enable-eap-identity --enable-eap-md5 \
-       --enable-eap-mschapv2 --enable-eap-tls --enable-eap-radius --enable-xauth-eap \
-       --enable-farp --enable-attr-sql --enable-dhcp --enable-openssl --enable-agent \
-       --enable-pkcs11 --enable-ctr --enable-ccm --enable-gcm --enable-addrblock \
-       --enable-nm  --disable-hmac --with-capabilities=libcap \
-       --with-ipsecdir=/usr/lib/strongswan --with-ipseclibdir=/usr/lib/strongswan \
-       --with-dev-headers=/usr/include/strongswan
-
-ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-       CFLAGS += -O2
-endif
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-       MAKEFLAGS += -j$(NUMJOBS)
-endif
-ifeq ($(DEB_BUILD_ARCH_CPU),i386)
-  CONFIGURE_ARGS += --enable-padlock
-endif
-
-build:
-       dh_testdir
-       ./configure $(CONFIGURE_ARGS) CC="$(CC)" CFLAGS="$(CFLAGS)"
-       $(MAKE)
-       touch build
-
-clean:
-       dh_testdir
-       dh_testroot
-       rm -f build
-       [ ! -f Makefile ] || $(MAKE) clean
-       dh_clean
-
-install: build
-       dh_testdir
-       dh_testroot
-       dh_clean
-       dh_installdirs
-       $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-
-binary-indep: build install
-binary-arch: build install
-       dh_testdir
-       dh_testroot
-       dh_installchangelogs NEWS
-       dh_installdocs README
-       dh_installinit --name=ipsec
-       dh_install -s
-       dh_link
-       dh_strip --dbg=strongswan-dbg
-       dh_compress
-       dh_fixperms -Xetc/ipsec.secrets -Xetc/ipsec.d
-       dh_makeshlibs
-       dh_installdeb
-       dh_shlibdeps
-       dh_gencontrol -s
-       dh_md5sums
-       dh_builddeb -s
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
-
diff --git a/packages/strongswan/debian/strongswan-nm.install b/packages/strongswan/debian/strongswan-nm.install
deleted file mode 100644 (file)
index 86edb82..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/lib/strongswan/charon-nm   usr/lib/strongswan/
diff --git a/packages/strongswan/debian/strongswan-starter.ipsec.init b/packages/strongswan/debian/strongswan-starter.ipsec.init
deleted file mode 100644 (file)
index 5cefef5..0000000
+++ /dev/null
@@ -1,133 +0,0 @@
-#! /bin/sh
-### BEGIN INIT INFO
-# Provides:          vpn
-# Required-Start:    $network $local_fs
-# Required-Stop:     $network $local_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Strongswan IPsec services
-### END INIT INFO
-
-# Author: Rene Mayrhofer <rene@mayrhofer.eu.org>
-
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="strongswan IPsec services"
-NAME=ipsec
-DAEMON=/usr/sbin/$NAME
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-       # Return
-       #   0 if daemon has been started
-       #   1 if daemon was already running
-       #   2 if daemon could not be started
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-               || return 1
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- start \
-               || return 2
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-       # Return
-       #   0 if daemon has been stopped
-       #   1 if daemon was already stopped
-       #   2 if daemon could not be stopped
-       #   other if a failure occurred
-       # give the proper signal to stop
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- stop \
-               || return 2
-       # but kill if that didn't work
-       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-       RETVAL="$?"
-       [ "$RETVAL" = 2 ] && return 2
-       # Wait for children to finish too if this is a daemon that forks
-       # and if the daemon is only ever run from this initscript.
-       # If the above conditions are not satisfied then add some other code
-       # that waits for the process to drop all resources that could be
-       # needed by services started subsequently.  A last resort is to
-       # sleep for some time.
-       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-       [ "$?" = 2 ] && return 2
-       # Many daemons don't delete their pidfiles when they exit.
-       rm -f $PIDFILE
-       return "$RETVAL"
-}
-
-do_reload() {
-       $DAEMON reload
-       return 0
-}
-
-case "$1" in
-  start)
-       [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
-       do_start
-       case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-       ;;
-  stop)
-       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-       do_stop
-       case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-       ;;
-  status)
-       $DAEMON status
-       ;;
-  reload|force-reload)
-       log_daemon_msg "Reloading $DESC" "$NAME"
-       do_reload
-       log_end_msg $?
-       ;;
-  restart)
-       log_daemon_msg "Restarting $DESC" "$NAME"
-       do_stop
-       case "$?" in
-         0|1)
-               do_start
-               case "$?" in
-                       0) log_end_msg 0 ;;
-                       1) log_end_msg 1 ;; # Old process is still running
-                       *) log_end_msg 1 ;; # Failed to start
-               esac
-               ;;
-         *)
-               # Failed to stop
-               log_end_msg 1
-               ;;
-       esac
-       ;;
-  *)
-       echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-       exit 3
-       ;;
-esac
-
-:
diff --git a/packages/strongswan/debian/strongswan-tools.install b/packages/strongswan/debian/strongswan-tools.install
deleted file mode 100644 (file)
index 1b7872d..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-usr/lib/strongswan/scepclient          usr/lib/strongswan/
-usr/lib/strongswan/pki                         usr/lib/strongswan/
-usr/share/man/man8/scepclient.8                usr/share/man/man8/
diff --git a/packages/strongswan/debian/strongswan.install b/packages/strongswan/debian/strongswan.install
deleted file mode 100644 (file)
index dca3632..0000000
+++ /dev/null
@@ -1,36 +0,0 @@
-usr/lib/strongswan/_updown                                                                             usr/lib/strongswan/
-usr/lib/strongswan/_updown_espmark                                                             usr/lib/strongswan/
-usr/lib/strongswan/starter                                                                             usr/lib/strongswan/
-usr/lib/strongswan/_copyright                                                                  usr/lib/strongswan/
-usr/lib/strongswan/pool                                                                                        usr/lib/strongswan/
-usr/lib/strongswan/libradius.so*                                                               usr/lib/strongswan/
-usr/sbin/ipsec                                                                                                 usr/sbin/
-etc/ipsec.conf                                                                                                 etc/
-etc/ipsec.d                                                                                                            etc/
-etc/ipsec.d/reqs                                                                                               etc/ipsec.d/
-etc/ipsec.d/cacerts                                                                                            etc/ipsec.d/
-etc/ipsec.d/aacerts                                                                                            etc/ipsec.d/
-etc/ipsec.d/acerts                                                                                             etc/ipsec.d/
-etc/ipsec.d/ocspcerts                                                                                  etc/ipsec.d/
-etc/ipsec.d/private                                                                                            etc/ipsec.d/
-etc/ipsec.d/crls                                                                                               etc/ipsec.d/
-etc/ipsec.d/certs                                                                                              etc/ipsec.d/
-usr/share/man/man8/ipsec.8                                                                             usr/share/man/man8/
-usr/share/man/man8/_updown.8                                                                   usr/share/man/man8/
-usr/share/man/man8/_updown_espmark.8                                                   usr/share/man/man8/
-usr/share/man/man5/ipsec.conf.5                                                                        usr/share/man/man5/
-usr/share/man/man5/ipsec.secrets.5                                                             usr/share/man/man5/
-usr/share/man/man5/strongswan.conf.5                                                   usr/share/man/man5/
-usr/lib/strongswan/charon                                                                              usr/lib/strongswan/
-usr/lib/strongswan/stroke                                                                              usr/lib/strongswan/
-usr/lib/strongswan/plugins/libstrongswan-stroke.so*                            usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-updown.so*                            usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-attr-sql.so*                  usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-mysql.so*                             usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-sqlite.so                             usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-addrblock.so*                 usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-eap-radius.so*                        usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-dhcp.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-farp.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-attr.so*                              usr/lib/strongswan/plugins/
-usr/lib/strongswan/plugins/libstrongswan-resolve.so*                   usr/lib/strongswan/plugins/
diff --git a/packages/strongswan/debian/watch b/packages/strongswan/debian/watch
deleted file mode 100644 (file)
index 8120491..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-version=3
-http://download.strongswan.org/strongswan-([\d.]+)\.tar\.bz2